Package proton :: Module utils :: Class BlockingReceiver

[frames] | no frames]

# Class BlockingReceiver

source code

      object --+
               |
    BlockingLink --+
                   |
                  BlockingReceiver

Instance Methods

__init__(self, connection, receiver, fetcher, credit=1) x.__init__(...) initializes x; see help(type(x)) for signature | source code

receive(self, timeout=False) | source code

accept(self) | source code

reject(self) | source code

release(self, delivered=True) | source code

settle(self, state=None) | source code

Inherited from `BlockingLink`: `__getattr__`, `close` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, connection, receiver, fetcher, credit=1)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)